package com.supervision.manage.controller;

import com.supervision.manage.pojo.vo.DiseaseVo;
import com.supervision.service.DiseaseService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.*;
import java.util.List;

@Api(tags = "疾病管理")
@RestController
@RequestMapping("disease")
@RequiredArgsConstructor
public class DiseaseController {

    private final DiseaseService diseaseService;


    @ApiOperation("新增疾病")
    @PostMapping("/save")
    public String saveDisease(@RequestBody DiseaseVo diseaseVo) {

        DiseaseVo diseaseVo1 = diseaseService.saveDisease(diseaseVo);
        return "id";

    }

    @ApiOperation("删除疾病")
    @DeleteMapping("/delete")
    public String deleteDisease(@RequestBody DiseaseVo diseaseVo) {

        DiseaseVo diseaseVo1 = diseaseService.saveDisease(diseaseVo);
        return "id";

    }


    @ApiOperation("修改辅助检查信息")
    @PutMapping("/update")
    public String updateDisease(DiseaseVo diseaseVo) {

        return null;

    }


    @ApiOperation("查询疾病列表")
    @GetMapping("/queryPageList")
    public List<DiseaseVo> queryPageList(@RequestParam(defaultValue = "1")Integer pageNum,
                                         @RequestParam(defaultValue = "1")Integer pageSize,
                                         @RequestParam DiseaseVo diseaseVo) {

        return null;

    }








}
